wallet-core/configure

35 lines
656 B
Plaintext
Raw Normal View History

2016-03-21 16:26:08 +01:00
#!/usr/bin/env bash
2016-03-18 15:11:16 +01:00
2016-03-21 18:24:55 +01:00
set -eu
node_version=$(node --version)
if [ ! "$?" -eq 0 ]; then
echo 'Error: node executable not found.'
echo 'If you are using ubuntu or debian, try installing the'
echo 'node-legacy package or symlink node to nodejs.'
exit 1
fi
echo "Using node ${node_version}"
2016-03-18 15:11:16 +01:00
if ! npm --version >/dev/null; then
echo 'Node Package Manager (npm) missing'
exit 1
fi
2016-03-21 18:24:55 +01:00
if ! find --version >/dev/null; then
echo 'Error: find missing'
exit 1
fi
if ! xargs --version >/dev/null; then
echo 'Error: xargs missing'
exit 1
fi
if ! msgmerge --version >/dev/null; then
echo "Warning: msgmerge missing, i18n won't work"
exit 1
fi